/* Group 5 */
/* Data load verification */

/* DimCustomer Verification */
/* 1 unknown customer row */
SELECT
(SELECT count(*) FROM [fudgeflix_v3].dbo.ff_accounts) AS Src_FudgeFlixCustomers,
(SELECT count(*) FROM [ist722_hhkhan_ca5_dw].g5.DimCustomer WHERE CustomerLineOfBusiness = 'FudgeFlix') AS Dw_FudgeFlixCustomers,
(SELECT count(*) FROM [fudgemart_v3].dbo.fm_customers) AS Src_FudgeMartCustomers,
(SELECT count(*) FROM [ist722_hhkhan_ca5_dw].g5.DimCustomer WHERE CustomerLineOfBusiness = 'FudgeMart') AS Dw_FudgeMartCustomers,
(SELECT count(*) FROM [fudgeflix_v3].dbo.ff_accounts) + (SELECT count(*) FROM [fudgemart_v3].dbo.fm_customers) AS Src_TotalCustomers,
(SELECT (SELECT count(*) FROM [ist722_hhkhan_ca5_dw].g5.DimCustomer) - 1) AS Dw_TotalCustomers

/* DimDate Verification */
/* 1 unknown date row */
SELECT
(SELECT count(*) FROM [ExternalSources2].dbo.date_dimension) AS Src_Dates,
(SELECT (SELECT count(*) FROM [ist722_hhkhan_ca5_dw].g5.DimDate) - 1) AS Dw_Dates


/* DimShipper Verification */
/* 2 unknown shipper rows */
SELECT
(SELECT count(*) FROM [fudgemart_v3].dbo.fm_shipvia_lookup) AS Src_FudgeMartShippers,
(SELECT (SELECT count(*) FROM [ist722_hhkhan_ca5_dw].g5.DimShipper) - 2) AS Dw_Shippers

/* DimTitle Verification */
SELECT
(SELECT count(*) FROM [fudgeflix_v3].dbo.ff_titles) AS Src_FudgeFlixTitles,
(SELECT (SELECT count(*) FROM [ist722_hhkhan_ca5_dw].g5.DimTitle) - 1) AS Dw_Titles

/* FactOrderFulfillment Verification */
SELECT
(SELECT count(*) FROM [fudgeflix_v3].dbo.ff_account_titles) AS Src_FudgeFlixOrders,
(SELECT count(*) FROM [ist722_hhkhan_ca5_dw].g5.FactOrderFulfillments WHERE OrderFulfillmentLineOfBusiness = 'FudgeFlix') AS Dw_FudgeFlixOrders,
(SELECT count(*) FROM [fudgemart_v3].dbo.fm_orders) AS Src_FudgeMartOrders,
(SELECT count(*) FROM [ist722_hhkhan_ca5_dw].g5.FactOrderFulfillments WHERE OrderFulfillmentLineOfBusiness = 'FudgeMart') AS Dw_FudgeMartOrders,
(SELECT count(*) FROM [fudgeflix_v3].dbo.ff_account_titles) + (SELECT count(*) FROM [fudgemart_v3].dbo.fm_orders) AS Src_TotalOrders,
(SELECT count(*) FROM [ist722_hhkhan_ca5_dw].g5.FactOrderFulfillments) AS Dw_FudgeMartOrders,
(SELECT count(*) FROM [fudgeflix_v3].dbo.ff_account_titles) AS Src_FudgeFlixQuantity,
(SELECT sum(OrderFulfillmentItemsShipped) FROM [ist722_hhkhan_ca5_dw].g5.FactOrderFulfillments WHERE OrderFulfillmentLineOfBusiness = 'FudgeFlix') As Dw_FudgeFlixQuantity,
(SELECT sum(order_qty) FROM [fudgemart_v3].dbo.fm_order_details) AS Src_FudgeMartQuantity,
(SELECT sum(OrderFulfillmentItemsShipped) FROM [ist722_hhkhan_ca5_dw].g5.FactOrderFulfillments WHERE OrderFulfillmentLineOfBusiness = 'FudgeMart') As Dw_FudgeMartQuantity,
(SELECT sum(order_qty) FROM [fudgemart_v3].dbo.fm_order_details) + (SELECT count(*) FROM [fudgeflix_v3].dbo.ff_account_titles) AS Src_TotalQuantity,
(SELECT sum(OrderFulfillmentItemsShipped) FROM [ist722_hhkhan_ca5_dw].g5.FactOrderFulfillments) As Dw_TotalQuantity
